# class Cursor

#### package js.html.idb

Available on HTML5

The `IDBCursor` interface of the IndexedDB API represents a cursor for traversing or iterating over multiple records in a database.

Documentation IDBCursor by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/IDBCursor

### Variables

###

`read onlydirection:CursorDirection`

Returns the direction of traversal of the cursor. See Constants for possible values.

###

`read onlykey:Dynamic`

Returns the key for the record at the cursor's position. If the cursor is outside its range, this is set to `undefined`. The cursor's key can be any data type.

###

`read onlyprimaryKey:Dynamic`

Returns the cursor's current effective primary key. If the cursor is currently being iterated or has iterated outside its range, this is set to `undefined`. The cursor's primary key can be any data type.

###

`read onlysource:EitherType<ObjectStore, Index>`

Returns the `IDBObjectStore` or `IDBIndex` that the cursor is iterating. This function never returns null or throws an exception, even if the cursor is currently being iterated, has iterated past its end, or its transaction is not active.

### Methods

###

`advance (count:Int):Void`

Throws:

`null` | DOMError

###

`continue_ (?key:Dynamic):Void`

Throws:

`null` | DOMError

###

`delete_ ():Request`

Throws:

`null` | DOMError

###

`update (value:Dynamic):Request`

Throws:

`null` | DOMError